<?
require'config.php';
$user['avr'] = 0;
$align='left';
$title='Сказать';
head();
aut();
if($_SESSION['key'] == NULL or $_SESSION['key'] == '') $_SESSION['key'] = rand(1000,99999999);

if (!ctype_digit($_GET['rm'])){header('Location: index?'.SID);die;}
if (!ctype_digit($_GET['nk'])){header('Location: index?'.SID);die;}
$rm = intval($_GET['rm']);
$nk = intval($_GET['nk']);
who_add($rm,'room');
$db->sql_query ("Select rm from rooms where rm='".$rm."';");
if (mysql_affected_rows() == 0){echo "Такой комнаты не существует!";foot();exit;}


$select = @$db->sql_query ("Select * from users where id='".intval($nk)."'");



if (mysql_affected_rows() == 0){
echo "Юзер не найден. Возможно ник удалён.<br/>";
echo gb.'<a href="room?'.$ref.'&amp;rm='.$rm.'">В чат </a>'.div;
foot();
exit;
}
$inf = $db->sql_fetchrow ($select);

if (ignor(user_inf($inf['id']),$user['id'])==1){
echo 'Пользователь <b>'.$inf['user'].'</b> отправил вас в игнор!<br />';
echo gb.'<a href="room?rm='.$rm.'">В чат </a>'.div;
foot();
exit;
}

$usid = $inf["id"];
$nick = $inf["user"];
$usname = $inf["name"];
$birth = $inf["birth"];
$sex = $inf["sex"];
$city = $inf["city"];
$mail = $inf["mail"];
$site = $inf["site"];
$infa = $inf["infa"];
$icq = $inf["icq"];
$posts = $inf["posts"];
$credits = $inf["credits"];
$gposts = $inf["gposts"];
$status = $inf["status"];
$date = $inf["date"];
$op = $inf["op"];
$onl = $inf["onl"];
$mob = $inf["mob"];
$us_ip = $inf["user_ip"];
$us_soft = $inf["user_soft"];
$us_soft_opera = $inf["user_soft_opera"];
$img = $inf["img"];
$nastroi = $inf["nastroi"];
$visit = $inf["visit"];
$room = $inf["room"];
$byeotv = $inf["byeotv"];
$number = $inf["number"];
$level = $inf["level"];
$para = $inf["para"];
$fr = $inf["friends"];
$mysmile = $inf["mysmile"];
$votefoto = $inf["votefoto"];
$ign = $inf["ignor"];
$bee = $inf["site"];
$myavatar = $inf["myavatar"];
$version = $inf["version"];
$postmag = $inf["postmag"];
$alltraf = $inf["alltraf"];
$postsf = $inf["postsf"];
$idpass = $inf["pass"];
$rating = $inf["rating"];
$clan = $inf["clan"];
$myblogs = $inf["myblogs"];
$monets = $inf["money"];
$presentset = $inf["presentset"];



if ($credits>=0 && $credits<100) $victstatus="Ученик";
if ($credits>=100 && $credits<500) $victstatus="Студент";
if ($credits>=500 && $credits<1000) $victstatus="Бакалавр";
if ($credits>=1000 && $credits<2000) $victstatus="Магистр";
if ($credits>=2000 && $credits<5000) $victstatus="Кандидат в доктора";
if ($credits>=5000 && $credits<7000) $victstatus="Доктор наук";
if ($credits>=7000) $victstatus="Учитель НеЗнайки =)";


$levelselect = @$db->sql_query ("Select * from levels where level='".$level."'");
$levels = @$db->sql_fetchrow($levelselect);
$levname = $levels["name"];


echo "Сообщение для <b>".$nick."</b><br/>";


if ($ver!='wml')echo '<form action="tell?'.$ref.'&amp;rm='.$rm.'&amp;act=add&amp;nk='.$nk.'&amp;'.SID.'" method="post">';
if ($ver=='wml')echo '<br/><input name="msg'.$ref.'" maxlength="512" title="Введите сюда своё сообщение!"/><br/>';
else echo '<input type="hidden" name="key" value="'.$_SESSION['key'].'">
			<br/><TEXTAREA NAME="msg" ROWS='.$user['pole1'].' COLS='.$user['pole2'].' maxlength="512" title="Введите сюда своё сообщение!"/></TEXTAREA><br/>';

echo "<select name=\"prvt\">";
echo "<option value=\"0\">Всем</option>";
echo "<option value=\"1\">Приватно</option>";
echo "<option value=\"2\">В записки</option>";
echo "</select><br/>";
if($user[sex]==0)
{
?>
	<select name="flirts">
	<option value="0" selected="selected">Действие девчат</option>
	<option value="1">Ущипнуть за попку</option>
	<option value="2">Нежно поцеловать</option>
	<option value="3">Обнять дружески</option>
	<option value="4">Прошептать на ушко</option>
	<option value="5">Погладить по щеке</option>
	<option value="6">Признаться в любви</option>
	<option value="7">Нежно улыбаться</option>
	<option value="8">Погладить по головке</option>
	<option value="9">Залезть в трусики</option>
	<option value="10">Страстно поцеловать</option>
	<option value="11">Поцеловать в щечку</option>
	<option value="12">Страстно в лобик</option>
	<option value="13">Флиртовать</option>
	<option value="14">Обнять эротично</option>
	<option value="15">Послать</option>
	<option value="16">Пожать руку</option>
	<option value="17">Материться</option>
	<option value="18">Предложить дружить</option>
	<option value="19">Погладить по попке</option>
	<option value="20">Заняться сексом</option>
	<option value="21">Снять трусики</option>
	<option value="22">Погладить между ног</option>
	<option value="23">Прыгнуть на руки</option>
	<option value="24">Дать пощечину</option>
	</select><br />
	<?php
}else
{
?>
	<select name="flirts">
	<option value="0" selected="selected">Действие парней</option>
	<option value="1">Ущипнуть за попку</option>
	<option value="2">Нежно поцеловать</option>
	<option value="3">Обнять дружески</option>
	<option value="4">Прошептать на ушко</option>
	<option value="5">Погладить по щеке</option>
	<option value="6">Признаться в любви</option>
	<option value="7">Нежно улыбаться</option>
	<option value="8">Погладить по головке</option>
	<option value="9">Залезть в трусики</option>
	<option value="10">Страстно поцеловать</option>
	<option value="11">Поцеловать в щечку</option>
	<option value="12">Страстно в лобик</option>
	<option value="13">Флиртовать</option>
	<option value="14">Обнять эротично</option>
	<option value="15">Послать</option>
	<option value="16">Пожать руку</option>
	<option value="17">Материться</option>
	<option value="18">Предложить дружить</option>
	<option value="19">Погладить по попке</option>
	<option value="20">Заняться сексом</option>
	<option value="21">Снять трусики</option>
	<option value="22">Погладить между ног</option>
	</select><br />
	<?php
}
if ($user['dd']!=0){
if ($user['level']>=4){
echo '<select name="dd">
<option value="0" selected="selected">Шрифт</option>
<option value="1">Наклонный</option>';
if ($user['level']>=5) echo '<option value="2">Подчёркнутый</option>';
if ($user['level']>=6) echo '<option value="3">Накл. и подч.</option>';
if ($user['level']>=6) echo '<option value="4">Жирный</option>';
if ($user['level']>=7) echo '<option value="5">Жирн. и подч.</option>';
if ($user['level']>=7) echo '<option value="6">Огромный</option>';
echo '</select><br />';
}
}
if ($user['emo']!=0){
?>
<select name="emo">
<option value="0" selected="selected">Эмоции</option>
<option value="1">Радостно</option>
<option value="2">Печально</option>
<option value="3">Удивленно</option>
<option value="4">Ласково</option>
<option value="5">Смущенно</option>
<option value="6">Кокетливо</option>
<option value="7">Обиженно</option>
<option value="8">Настойчиво</option>
<option value="9">Шепотом</option>
<option value="10">Задумчиво</option>
<option value="11">Злобно</option>
</select><br />
<?php
}
if ($user['color']!=0){
?>
<select name="color">
<option value="0" selected="selected">Цвет</option>
<option value="1">Красный</option>
<option value="2">Синий</option>
<option value="3">Сереневый</option>
<option value="4">Зеленый</option>
<option value="5">Красно-зеленый</option>
<option value="6">Красно-черный</option>
<option value="7">Серо-синий</option>
<option value="8">Желто-синий</option>
<option value="9">Черно-зеленый</option>
<option value="10">Розово-белый</option>
<option value="11">Черно-серый</option>
<option value="12">Синий-зелёный</option>
<option value="13">Оливковый-фуксия</option>
<option value="14">Голубой-ВМФ</option>
<option value="15">Золото-Красный</option>
<option value="16">синевато-Розовый</option>
</select><br />
<?php
}
if ($ver=='wml'){
echo '<anchor title="go">Сказать<go href="tell?'.$ref.'&amp;rm='.$rm.'&amp;act=add&amp;nk='.$nk.'&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/>
<postfield name="key" value="'.$_SESSION['key'].'"/>
<postfield name="flirts" value="$flirts"/>
<postfield name="dd" value="$dd"/>
<postfield name="emo" value="$emo"/>
<postfield name="color" value="$color"/>
<postfield name="prvt" value="$prvt"/>
</go></anchor><br />';

}else{
echo '<input type="submit" class="ibutton" value="Сказать"/></form><br/>';
}
$b_ip = $db->sql_fetchrow($db->sql_query ("Select * from bannip;"));
$db->sql_query ("Select * from bannlist WHERE (ip = '".$inf[user_ip]."')and(soft = '".$inf[user_soft]."') LIMIT 1;");
if ((mysql_affected_rows()!=0)||($inf[bann]>$time)||(substr_count('$ip', '$b_ip[ip]')!=0))
{
	echo "<font color=\"red\"><b>Пользователь в бане!</b></font><br />";
}
$v0=$db->sql_fetchfield($db->sql_query("select count(*) as num from vote_photo where user_id = '".$inf[id]."'"),0);
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from komm_photo where user_id = '".$inf['id']."'"),0);
if($inf[photo]!=NULL)echo ' -Голосов за <a href="'.H.'photo'.$inf[id].'">фото</a>['.$v0.']<br/> -<a href="'.H.'photo'.$inf[id].'">Отзывы о фото</a>['.$k_post.']<br/>';
else echo ' -Фото: [нет фото]<br/>';
if($inf['diaries']>0)echo ' -[<a href="diaries'.$inf['id'].'">Дневник</a>]<br/>';
if($inf['myavatar']!='')echo ' -[<a href="'.$inf['myavatar'].'">Личный аватар</a>]<br/>';

echo " -ID: $inf[id]<br/>";
if($inf[name]!='')echo ' -Имя: '.$inf[name].'<br/>';
if ($inf[sex]==1)echo " -Пол: Мужской<br/>";
else if ($inf[sex]==0)echo " -Пол: Женский<br/>";

echo " -Постов: $posts (сегодня: ".$inf['dayp'].")";
	if ($gposts<0)
	{
		$vyig = " -Проиграл постов";
	}elseif ($gposts>=0)
	{
		$vyig = " -Выиграл постов";
	}
	$gposts = strtr($gposts, array ('-' => ''));
	echo '<br/>'.$vyig.': '.$gposts.'<br/>';
echo '-Стиль чата: '.$inf['style'].'<br />';
if($inf[nastroi]!='') echo " -Hacтpoeниe: $inf[nastroi]<br/>";




if($inf['id'] == 3 or $inf['id'] == 322 or $inf['id'] == 1) {$inf[level] = 0; $levname = 'Новичок';}

if ($inf['alcohol'] >0 AND $rm==2)echo ' -Уровень опьянения: ['.$inf['alcohol'].'%]<br/> -[<a href="list_drink.php?mod=for_friend&amp;rm=2&amp;friend_id='.$inf['id'].'">Угостить</a>]<br/>';

echo ' -Статус: <font color="'.$inf[color_status].'"><b>'.$inf[status].'</b></font><br/>';
if(($inf[level]>3)) echo " -Должность: <b>$levname</b><br/>";
if ($user['level']==9){
echo ' -Где: <a href="'.$inf[location_ref].'">'.$inf[location].'</a><br/> -Посты в [<a href="posts?rm='.$rm.'&amp;nk='.$inf['id'].'">чате</a>]<br/>';
}
if ($user['anketa']!=0)
{
$birth = explode("-",$birth);
$d = $birth[0];
$m = $birth[1];
$g = $birth[2];
if ($d != NULL and $m != NULL and $g != NULL)
{
 $birth = date("Y")-$g;
 if (date("n") < $m) $birth = $birth-1;
 elseif (date("n") == $m and date("j") < $d) $birth = $birth-1;
 if ($birth == 21 or $birth == 31 or $birth == 41 or $birth == 51 or $birth == 61)
 {
 $years = 'год';
}
 elseif ($birth == 22 or $birth == 23 or $birth == 24 or $birth == 32
 or $birth == 33 or $birth == 34 or $birth == 42 or $birth == 43
 or $birth == 44 or $birth == 52 or $birth == 53 or $birth == 54
 or $birth == 62 or $birth == 63 or $birth == 64)
{
 $years = 'года';
}
 else
{
 $years = 'лет';
}
 function zod($month, $day, $nk)
 {
      $signs = array(
      '<a href = "zodiak.php?mod=kozerog&amp;nk='.$nk.'"><img src = "img/zodiak/kozerog.gif" alt="."/></a>',
      '<a href = "zodiak.php?mod=vodolei&amp;nk='.$nk.'"><img src = "img/zodiak/vodolei.gif" alt="."/></a>',
      '<a href = "zodiak.php?mod=rubi&amp;nk='.$nk.'"><img src = "img/zodiak/ribi.gif" alt="."/></a>',
      '<a href = "zodiak.php?mod=oven&amp;nk='.$nk.'"><img src = "img/zodiak/oven.gif" alt="."/></a>',
      '<a href = "zodiak.php?mod=telec&amp;nk='.$nk.'"><img src = "img/zodiak/telec.gif" alt="."/></a>',
      '<a href = "zodiak.php?mod=bliznec&amp;nk='.$nk.'"><img src = "img/zodiak/bliznec.gif" alt="."/></a>',
      '<a href = "zodiak.php?mod=rak&amp;nk='.$nk.'"><img src = "img/zodiak/rak.gif" alt="."/></a>',
      '<a href = "zodiak.php?mod=lev&amp;nk='.$nk.'"><img src = "img/zodiak/lev.gif" alt="."/></a>',
      '<a href = "zodiak.php?mod=deva&amp;nk='.$nk.'"><img src = "img/zodiak/deva.gif" alt="."/></a>',
      '<a href = "zodiak.php?mod=vesi&amp;nk='.$nk.'"><img src = "img/zodiak/vesi.gif" alt="."/></a>',
      '<a href = "zodiak.php?mod=scorpio&amp;nk='.$nk.'"><img src = "img/zodiak/skorpion.gif" alt="."/></a>',
      '<a href = "zodiak.php?mod=strelec&amp;nk='.$nk.'"><img src = "img/zodiak/streles.gif" alt="."/></a>');
      $signsstart = array(1=>21, 2=>20, 3=>20, 4=>20, 5=>20, 6=>20, 7=>21, 8=>22, 9=>23, 10=>23, 11=>23, 12=>23);
      return $day < $signsstart[$month + 1] ? $signs[$month - 1] : $signs[$month % 12];
   }
 echo ' -Возраст: '.$birth.' '.$years.' ';
if ($inf['date_birth'] ==1)echo '('.$d.'.'.$m.'.'.$g.')';
echo ''.zod($m, $d, $nk).'<br/>';
}

	if($inf[country]!='')echo " -Страна: $inf[country]<br/>";
	if($inf[city]!='')echo " -Город: $inf[city]<br/>";
	if ($inf[para]>=1)
	{
		if ($inf[sex]==0)
		{
			echo ' -Замужем: Муж  '.nik($inf[para]).' <br/>'; 
		}else
		{
			echo ' -Женат: Жена '.nik($inf[para]).' <br/>'; 
		}
	}

	echo ' -Отгадано загадок <b>'.$inf["credits2"].'</b><br/>
		-Постов в Форумe: '.$postsf.'  [<a href="forum/my_t">Темы</a>][<a href="forum/my_p">Сообщения</a>]<br/>
		-Ответов: '.$credits.' (сегодня: '.$inf['daya'].')<br/>';
	if ($byeotv>0)echo ' -Куплено: '.$byeotv.'<br/>';

	echo '-Ученая степень: '.$victstatus.'<br/>
		-О себе: '.$infa.'<br/>
		-Дата регистрации: '.$date.'<br/>
		-Потрачено трафика: '.$alltraf.' Кб<br/>';
}
?>---<br/><?php
echo links.' -<a href="'.H.$inf[id].'">Полная Анкета</a><br/>'.div;

if($user[level]>=7){
echo links.'-<b><a href="admin/users?mod=view&amp;nick='.$inf[id].'">Апдейт юзера</a></b>'.div; }
if($user["level"]>=4){
if($user["level"]>=4)echo links.'-<a href="apanel/users?mod=kik&amp;nick='.$inf['id'].'"><b>Пнуть засранца</b></a>'.div;
if($user["level"]>=5)echo links.'- <a href="apanel/users?mod=ban&amp;nick='.$inf['id'].'"><b>Забанить ник</b></a>'.div;
if($user["level"]>=6)echo links.'- <a href="apanel/users?mod=ban_ip_soft&amp;nick='.$inf[id].'"><b>Банн ip+soft</b></a>'.div;
}

if($user["level"]>=5){
if(($inf["level"]<7)||($user["level"]>6)){
echo $div5;
echo "<b>IP:</b> ".$us_ip." (".opsos($us_ip).")<br/>";
}
}
if($user["level"]>=4){
echo "<b>Soft:</b> ".$us_soft."<br/>";
if ($inf[ver]==wml) echo "<b>Версия сайта:</b> WML<br/>";
else echo "<b>Версия сайта:</b> xHTML<br/>";
echo $div5;
}
if ($ver!='wml'){
if ($user["level"] > 5) {
    $sRemAddress = $inf["user_ip"];
    if ($sRemAddress != 'unknown') {
        $oSocket = fsockopen("whois.ripe.net", 43, $sErrorNo, $sErrorMsg);
        if (!$oSocket) {
            echo $sErrorMsg;
            exit;
        }
        fputs($oSocket, $sRemAddress . "\r\n");
        while (!feof($oSocket)) {
            if (preg_match('|address|i', $line2 = fgets($oSocket))) {
                $adr[] = str_replace("address: ", " ", $line2);
            }
        }
        fclose($oSocket);
    }
    ///echo "<br><b>Ваш IP: $sRemAddress</b>";
    echo "<b><font color=\"red\"><a href=whois_user.php?rm=" . $rm . "&ip=" . $inf["user_ip"] .
        "><br />Информация об ip</a></font></b><br>";
    if (count(@$adr) != 0)
        foreach ($adr as $line2)
            echo $line2 . "<br>";
        else
            echo "Нет данных<br>";
}}
/*
if ($user["level"] > 5) {
    $sRemAddress = $inf["user_ip"];
    if ($sRemAddress != 'unknown') {
        $oSocket = fsockopen("whois.ripe.net", 43, $sErrorNo, $sErrorMsg);
        if (!$oSocket) {
            echo $sErrorMsg;
            exit;
        }
        fputs($oSocket, $sRemAddress . "\r\n");
        while (!feof($oSocket)) {
            if (preg_match('|address|i', $line2 = fgets($oSocket))) {
                $adr[] = str_replace("address: ", " ", $line2);
            }
        }
        fclose($oSocket);
    }
    ///echo "<br><b>Ваш IP: $sRemAddress</b>";
    ////echo "<b><font color=\"red\"><a href=whois_user.php?rm=" . $rm . "&ip=" . $inf["user_ip"] ."><br />
	echo "Информация об ip</a></font></b><br>";
    if (count(@$adr) != 0)
        foreach ($adr as $line2)
            echo $line2 . "<br>";
        else
            echo "Нет данных<br>";
}


*/

echo gb.'<a href="room?'.$ref.'&amp;rm='.$rm.'">В чат </a>'.div;
foot();
?>